// Képernyő átméretezése 800x600-ra a képernyő közepére
function meretez() {
  var felbontas_x = screen.width;
  var felbontas_y = screen.height; 
  window.moveTo(Math.floor(felbontas_x/2)-400,Math.floor(felbontas_y/2)-300);
  window.resizeTo(800,600);
  window.location.href="keret.html";
}

// Képcsere megadott képnevet cserélim ha x 1, akkor narancsra, ha 0, akkor vissza
function kepcsere(kep,x) {
  if (x == 1) {
    document.getElementById(kep).src="images/gomb_"+kep+"_narancs.gif";   
  }
  else {
    document.getElementById(kep).src="images/gomb_"+kep+".gif";    
  } 
}

// GET paraméter lekérdezése
function getparameter(name) {
  var q = document.location.search;
  var i = q.indexOf(name + '=');
  // Ha nem szerepel benne false -szal tér vissza
  if (i == -1) {
    return false;
  }
  var r = q.substr(i + name.length + 1, q.length - i - name.length - 1);
  i = r.indexOf('&');
  if (i != -1) {
    r = r.substr(0, i);
  }
  return r.replace(/\+/g, ' ');
}

// Flash video előállítása
function video(videofajl,x,y,autostart,ismetles) {
  var flash = "";
  flash += "<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0\" width="+x+" height="+y+" id=\"video\" align=\"middle\">\n";
  flash += "<param name=\"movie\" value=\""+videofajl+"\">\n";
  flash += "<param name=\"play\" value="+autostart+">\n";
  flash += "<param name=\"loop\" value="+ismetles+">\n";
  flash += "<param name=\"menu\" value=\"false\">\n";
  flash += "<param name=\"bgcolor\" value=\"#ffffff\">\n";
  flash += "<embed src=\""+videofajl+"\" play="+autostart+" loop="+ismetles+" menu=\"false\" bgcolor=\"#ffffff\" width="+x+" height="+y+" name=\"video\" align=\"middle\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\">\n";
  flash += "</object>\n";
  return flash;
}

// csont kihelyezése a választandó feladat elé és levétele, ha lemegy róla az egér
function csontkep (hely,kapcsolas) {  
  if (kapcsolas == 1) {
    document.getElementById(hely).src = "images/kiscsont.gif";
   }
  else {
    document.getElementById(hely).src = "images/space.gif";
  }  
}
